//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Resource.Models.DatabaseModel
{
    using System;
    using System.Collections.Generic;
    
    public partial class Kabupaten
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Kabupaten()
        {
            this.PengajuanKecelakaans = new HashSet<PengajuanKecelakaan>();
        }
    
        public long IdKabupaten { get; set; }
        public string Nama { get; set; }
        public bool Terhapus { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PengajuanKecelakaan> PengajuanKecelakaans { get; set; }
    }
}
